Skip to content
API Reference

Update organization user role in a zone

PATCH/zones/{zoneId}/members/{organizationUserId}

Updates the role of an existing zone member. Only organization administrators can perform this action.

Path ParametersExpand Collapse
zoneId: string
organizationUserId: string
Body ParametersJSONExpand Collapse
role: ZoneRole

Zone role type. zone_manager has full management access, zone_viewer has read-only access.

Accepts one of the following:
"zone_manager"
"zone_viewer"
ReturnsExpand Collapse
ZoneMember = object { id, _links, created_at, 5 more }

Represents an organization user's membership in a zone with an assigned role

id: string

Unique identifier of the zone member

created_at: string

Entity creation timestamp

formatdate-time
organization_id: string

Organization ID that owns the zone

organization_user_id: string

Organization user ID of the zone member

role: ZoneRole

Zone role type. zone_manager has full management access, zone_viewer has read-only access.

Accepts one of the following:
"zone_manager"
"zone_viewer"
updated_at: string

Entity update timestamp

formatdate-time
zone_id: string

Zone ID the organization user is a member of

Update organization user role in a zone

curl https://api.keycard.ai/zones/$ZONE_ID/members/$ORGANIZATION_USER_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -d '{
          "role": "zone_manager"
        }'
{
  "id": "id",
  "_links": {
    "organization_user": {
      "href": "href"
    },
    "self": {
      "href": "href"
    }
  },
  "created_at": "2019-12-27T18:11:19.117Z",
  "organization_id": "organization_id",
  "organization_user_id": "organization_user_id",
  "role": "zone_manager",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "zone_id": "zone_id"
}
Returns Examples
{
  "id": "id",
  "_links": {
    "organization_user": {
      "href": "href"
    },
    "self": {
      "href": "href"
    }
  },
  "created_at": "2019-12-27T18:11:19.117Z",
  "organization_id": "organization_id",
  "organization_user_id": "organization_user_id",
  "role": "zone_manager",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "zone_id": "zone_id"
}